
Portal - Employment  - Task #1175

RMPM001 Submission form for Issuing a work permit

04/29/2019 05:40 PM - Mahmoud Tarawneh

Status: Fixed Start date: 04/30/2019

Priority: Normal Due date: 04/30/2019

Assignee: Mahmoud Tarawneh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: Development

Category: Talabat Employment New Use Case Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  SERVICE_ID: 76

Description

Dear Moath,

Kindly find the MPM SRS (Gulf) to implement "RMPM001 Submission form for Issuing a work permit" in

PamTalabatEmploymentApp.

You can find the SRS in on SVN in EmploymentDocs.

URL for PamTalabatFilesAppon SVN:

http://192.168.31.5:8080/svn/mosal/branch/08-10-2018/TalabtApps/PamTalabatEmploymentApp

for any further clarifications assign it to Mohamad Al Khaled.

History

#1 - 04/30/2019 10:54 AM - Mouath Saadah

- Status changed from Open to In Progress

#2 - 04/30/2019 03:36 PM - Mouath Saadah

- File 123432.png added

- Status changed from In Progress to Feedback

- Assignee changed from Mouath Saadah to Mohammad Alkhaled

- % Done changed from 0 to 50

Dear Mohammad Alkhaled

I have two issues

first one, about LOV attribute "LICN_SHIFT_ID" is it here in the screen?

the second, about the field in screen "المؤهل العلمي" what is attribute name?

look at this image

Best Regards,

Moauath Saadah
http://192.168.31.5:8080/svn/mosal/branch/08-10-2018/TalabtApps/PamTalabatEmploymentApp


#3 - 05/05/2019 10:44 AM - Mahmoud Tarawneh

Kindly note this task is a merged version from :

RMPMG001    Submission form for Issuing a work permit ( Gulf Employment)     طلب إصدار إذن عمل عمالة خليجية

RMPMN001    Submission form for Issuing a work permit (National Employment) طلب إشعار تسجيل عمالة وطنية

RMPMB001    Submission form for  Issuing a work permit (Unspecified Nationality)     طلب إصدار إذن عمل لغير محدد الجنسية

RMPMF009    Submission form for Issuing a work permit - based on a Visa     على تصريح ًطلب إصدار اذن عمل- بناء (analysed by Abdelrhaman

Almomani)

#4 - 05/05/2019 04:11 PM - Mohammad Alkhaled

- Assignee changed from Mohammad Alkhaled to Mouath Saadah

M_id = 209 المؤهل العلمي

#5 - 05/05/2019 04:13 PM - Mouath Saadah

- Status changed from Feedback to In Progress

- % Done changed from 50 to 80

#6 - 05/07/2019 12:27 PM - Mouath Saadah

- Status changed from In Progress to Fixed

- % Done changed from 80 to 100

#7 - 05/07/2019 01:32 PM - Mouath Saadah

- Assignee changed from Mouath Saadah to Mahmoud Tarawneh

#8 - 05/08/2019 11:23 AM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Mouath Saadah

add this screen to screens mentioned above as agreed.

RMPMF009    Submission form for Issuing a work permit - based on a Visa     على تصريح ًطلب إصدار اذن عمل- بناء (analysed by Abdelrhaman

Almomani)

#9 - 05/08/2019 11:24 AM - Mouath Saadah

- Status changed from Fixed to In Progress

- % Done changed from 100 to 90

#10 - 05/08/2019 02:20 PM - Mouath Saadah

- Status changed from In Progress to Fixed

- Assignee changed from Mouath Saadah to Mahmoud Tarawneh

- % Done changed from 90 to 100

DONE

#11 - 10/03/2019 03:11 PM - Mouath Saadah

- SERVICE_ID set to 76

I added "تفاصيل العقود" to report Bug #1817

as per confirmed with Abdelrahman
http://185.98.225.148:8089/redmine/issues/1817


#12 - 11/21/2019 09:59 AM - Mouath Saadah

add expiry date in MSG after accept request

PAM_DB.SYS_PKG.GET_FINAL_WORKING_DATE(CREATED_DATE, PAM_DB.REQ_PKG.GET_GEN_PARAMETER (40)) ) AS EXPIRY_DATE

Files

123432.png 46.6 KB 04/30/2019 Mouath Saadah
